EDIT - bug #8444

Show warning if misapplied names / pro parte synonyms are used more then once
08/05/2019 02:01 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

... please also consider a "is used more then once" check for such relations

Associated revisions

Revision 5f3e1fcb - 08/09/2019 11:59 AM - Katja Luther

fix #8444: add warning if taxon used in taxonrelationship is used more than once

History

#1 - 08/05/2019 02:01 PM - Andreas Miiller

- Tags set to euro+med

#2 - 08/09/2019 11:19 AM - Katja Luther

the publish flag is already implemented (maybe the taxon details are collapsed?).

#3 - 08/09/2019 11:59 AM - Andreas Miiller
- Status changed from New to Worksforme

- Target version deleted (Release 5.9)

ahh, yes, sorry, | didn't expect the taxon details to be in a subsection. But this makes sense. We can close this ticket as worksforme

#4 - 08/09/2019 11:59 AM - Katja Luther

now the warning is implemented as well.

#5 - 08/09/2019 02:36 PM - Andreas Miuller

- Subject changed from Publish flag is missing for misapplied names / pro parte synonyms in details view to Show warning if misapplied names / pro
parte synonyms are used more then once

- Status changed from Worksforme to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
- Target version set to Release 5.9

- % Done changed from 0 to 50

So | change ticket title for documentation

#6 - 08/16/2019 09:17 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Hmm, now the warning is also shown if the misapplication is referenced e.g. by an identification key which is not necessarily wanted. However, as
misapplications and pro parte synonyms are very rarely referenced externally (not by a taxon relationship) | think this does not matter and we can
close the ticket.

#7 - 08/16/2019 09:17 PM - Andreas Miiller
- % Done changed from 50 to 100
